Support For Microsoft Windows

MSI Software supports all current versions of Windows

*Note:  Windows NT 4.0 operation for some MSI software products when used with modems will not function correctly.  NT 4.0 has no direct support for either CallerID or voice mail actions.  Windows 98 or later versions of Windows are required for CallerID and/or voice mail support.

FAQ | About | Download | Contact | Order  | Products | Support | Show Me | Home |